logging:
  level:
    digital.laboratory.platform.entrustment.mapper: debug
server:
  port: 5203
mybatis:
  mapper-locations: classpath*:mapper/*.xml

mybatis-plus:
  type-handlers-package: digital.laboratory.platform.entrustment.config

spring:
  application:
    name: @artifactId@

  cloud:
    nacos:
      discovery:
        server-addr: ${NACOS_HOST:dlp-nacos}:${NACOS_PORT:8848}
      config:
        server-addr: ${spring.cloud.nacos.discovery.server-addr}
        file-extension: yml
        shared-configs:
          - application-${spring.profiles.active}.${spring.cloud.nacos.config.file-extension}

  profiles:
    active: @profiles.active@

#  datasource:
#    type: com.zaxxer.hikari.HikariDataSource
#    driver-class-name: com.mysql.cj.jdbc.Driver
#    username: root
#    password: 7990016
#    url: jdbc:mysql://dlp-mysql:3306/dlp_entrustment?characterEncoding=utf8&zeroDateTimeBehavior=convertToNull&useSSL=false&allowMultiQueries=true&useJDBCCompliantTimezoneShift=true&useLegacyDatetimeCode=false&serverTimezone=Asia/Shanghai&nullCatalogMeansCurrent=true&allowPublicKeyRetrieval=true

  mvc:
    pathmatch:
      matching-strategy: ant-path-matcher
    hiddenmethod:
      filter:
        enabled: true

  servlet:
    multipart:
      # 根据实际需求作调整
      # 默认最大上传文件大小为1M, 单个文件大小
      max-file-size: 20MB
      # 默认最大请求大小为10M, 总上传的数据大小
      max-request-size: 55MB


# 文件上传相关 支持阿里云、华为云、腾讯、minio
oss:
  endpoint: dlp-minio:9000
  accessKey: admin
  secretKey: 87990016
  bucket-name: dlpfiles

dlp:
  entrustment:
    clientChoiceCheckers: true   # 审核人员由委托创建者选择
    singleOperateUser: true   # 委托的审核审批是否由单一人员负责
    processDefinitionId: EntrustmentAccept:3:53fef9cb-cde0-11ec-bdc1-0862664bd485

  datasource:
    type: com.zaxxer.hikari.HikariDataSource
    driver-class-name: com.mysql.cj.jdbc.Driver
    username: dlp
    password: 7990016
    jdbcUrl: jdbc:mysql://dlp-mysql:3306/dlp_entrustment?characterEncoding=utf8&zeroDateTimeBehavior=convertToNull&useSSL=false&allowMultiQueries=true&useJDBCCompliantTimezoneShift=true&useLegacyDatetimeCode=false&serverTimezone=Asia/Shanghai&nullCatalogMeansCurrent=true&allowPublicKeyRetrieval=true&rewriteBatchedStatements=true

config:
  activemq:
    brokerUrl: tcp://192.168.9.74:61616
#    brokerUrl: tcp://omen-chen:61616
    user: admin
    password: admin
    #true：topic模式，false：queue模式
    pub-sub-domain: true
  msgListener:
    hardwareTopicName: hardware
# 贵阳禁毒情报平台推送数据配置
gyjd:
  labscare:
    api:
      host: http://83.3.9.45
      entrust-letter: /thirdparty/report-generate/jianDingWeiTuoShuReport/v1
      confirm-letter: /thirdparty/report-generate/jianDingShiXiangQueRenShuReport/v1
